=== debian/changelog ===
bio-eagle (2.3-3) unstable; urgency=medium

  * Remove the test which creates a false positive in the autopkgtest
    by emitting some warnings. (Closes: #842356)

 -- Dylan Aïssi <bob.dybian@gmail.com>  Sun, 30 Oct 2016 23:26:33 +0100

bio-eagle (2.3-2) unstable; urgency=medium

  * Add a comment in the description about the renaming.
  * Fix the test.
  * Remove the field Testsuite in d/control.
  * Add "Multi-Arch: foreign" for the bio-eagle-examples package.
  * Update Makefile_config.patch to fortify functions.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Thu, 27 Oct 2016 21:56:43 +0200

bio-eagle (2.3-1) unstable; urgency=medium

  * Initial release. (Closes: #838070)

 -- Dylan Aïssi <bob.dybian@gmail.com>  Sun, 18 Sep 2016 23:08:34 +0200
