=== debian/control ===
Source: bio-eagle
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Dylan Aïssi <bob.dybian@gmail.com>
Build-Depends: debhelper (>= 9),
 libopenblas-dev,
 libboost-dev,
 libboost-iostreams-dev,
 libboost-program-options-dev,
 libhts-dev,
 zlib1g-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/debian-med/eagle.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/eagle.git
Homepage: https://data.broadinstitute.org/alkesgroup/Eagle/

Package: bio-eagle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: med-config (>= 2.1)
Suggests: bio-eagle-examples
Description: Haplotype phasing within a genotyped cohort or using a phased reference panel
 Eagle estimates haplotype phase either within a genotyped cohort or using a
 phased reference panel. The basic idea of the Eagle1 algorithm is to harness
 identity-by-descent among distant relatives—which is pervasive at very large
 sample sizes but rare among smaller numbers of samples—to rapidly call phase
 using a fast scoring approach. In contrast, the Eagle2 algorithm analyzes a
 full probabilistic model similar to the diploid Li-Stephens model used by
 previous HMM-based methods.
 .
 Please note: The executable was renamed to bio-eagle because of a name clash.
 Please read more about this in /usr/share/doc/bio-eagle/README.Debian.

Package: bio-eagle-examples
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Enhances: bio-eagle
Description: Examples for bio-eagle
 Eagle estimates haplotype phase either within a genotyped cohort or using a
 phased reference panel. The basic idea of the Eagle1 algorithm is to harness
 identity-by-descent among distant relatives—which is pervasive at very large
 sample sizes but rare among smaller numbers of samples—to rapidly call phase
 using a fast scoring approach. In contrast, the Eagle2 algorithm analyzes a
 full probabilistic model similar to the diploid Li-Stephens model used by
 previous HMM-based methods.
 .
 This package provides some example data for eagle.
