=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=src

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream.changelog

get-orig-source-git-snapshot:
	wget https://github.com/poruloh/Eagle/archive/master.tar.gz
	# mv master.tar.gz bio-eagle_2.3+git160722.orig.tar.gz
