=== debian/watch ===
version=3
 https://data.broadinstitute.org/alkesgroup/Eagle/downloads/ Eagle_v(\d\S*)\.tar\.gz
