## bio-eagle 2.3.5

=== debian/changelog ===
bio-eagle (2.3.5-1) unstable; urgency=medium

  * New upstream release.
  * Correct OMICtools ref.
  * cme fix dpkg-control.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Wed, 16 Aug 2017 22:50:28 +0200

bio-eagle (2.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version: 4.0.0 (no changes needed).
  * Add OMICtools ref.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Mon, 24 Jul 2017 21:30:51 +0200

bio-eagle (2.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Build-Depends: libhts-dev to >= 1.4.
  * Upload to unstable, Stretch freeze is over.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Sun, 25 Jun 2017 00:32:48 +0200

bio-eagle (2.3.1-1) experimental; urgency=medium

  * New upstream release.
  * Update d/watch to v4 and target github.
  * Update d/copyright: 2017.
  * Remove Fix_FTBFS.patch and Clarify_license.patch upstream fixed.
  * Bump debhelper compat 10.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Sun, 05 Mar 2017 22:42:55 +0100
