=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: bio-eagle
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Dylan Aïssi <bob.dybian@gmail.com>
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Dylan Aïssi <bob.dybian@gmail.com>
-Build-Depends: debhelper (>= 9),
- libopenblas-dev,
- libboost-dev,
- libboost-iostreams-dev,
- libboost-program-options-dev,
- libhts-dev,
- zlib1g-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/debian-med/eagle.git
+Build-Depends: debhelper (>= 10),
+               libopenblas-dev,
+               libboost-dev,
+               libboost-iostreams-dev,
+               libboost-program-options-dev,
+               libhts-dev (>= 1.4),
+               zlib1g-dev
+Standards-Version: 4.0.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/eagle.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/eagle.git
 Homepage: https://data.broadinstitute.org/alkesgroup/Eagle/
 
 Package: bio-eagle
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Recommends: med-config (>= 2.1)
 Suggests: bio-eagle-examples
 Description: Haplotype phasing within a genotyped cohort or using a phased reference panel
