=== debian/changelog ===
bio-eagle (2.4-1) unstable; urgency=medium

  * New upstream release.
  * Restrict building architecture to x86, upstream supports only x86 arch.
  * Bump Standards-Version: 4.1.3 (no changes needed).
  * Bump debhelper compat 11.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Fri, 12 Jan 2018 23:33:14 +0100
