=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Uploaders: Dylan Aïssi <bob.dybian@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                libopenblas-dev,
                libboost-dev,
                libboost-iostreams-dev,
                libboost-program-options-dev,
                libhts-dev (>= 1.4),
                zlib1g-dev
-Standards-Version: 4.0.1
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/eagle.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/eagle.git
 Homepage: https://data.broadinstitute.org/alkesgroup/Eagle/
 
 Package: bio-eagle
-Architecture: any
+Architecture: any-amd64 any-i386
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Recommends: med-config (>= 2.1)
