## bio-eagle 2.4.1

=== src/Makefile ===
--- 
+++ 
@@ -2,16 +2,26 @@
 # 1. cmd line: linking = dynamic (default), static-except-glibc (recommended release), static
 # 2. cmd line: debug = false (default => -O2), true (-g)
 
+# NOTE 12/7/17: on O2, can do 'module load gcc/6.2.0' to get installed lstdc++-static
+# ... but GCC 6.2.0 requires GOMP 4.0 + GLIBC 2.14
+# BOOST_INSTALL_DIR = /n/groups/price/poru/external_software/boost/boost_1_65_1/install
+# boost_1_65_1 was installed using GCC 6.2.0
 
 ### modify these paths to local BLAS, Boost and htslib install directories
 LBLAS = -lopenblas # alternatively -llapack (just need sgemm_)
-BLAS_DIR = /opt/openblas/0.2.14/lib
+BLAS_DIR = /n/app/openblas/0.2.19/lib # or /n/groups/price/poru/external_software/openblas/0.2.14/lib (copied from Orchestra /opt/openblas/0.2.14/lib)
+
 BOOST_INSTALL_DIR = /home/pl88/boost_1_58_0/install
-HTSLIB_DIR = /groups/price/poru/external_software/htslib/htslib-1.4
+# boost_1_58_0 was installed using GCC 4.8.5?
+
+HTSLIB_DIR = /n/groups/price/poru/external_software/htslib/htslib-1.9
 ### NOTE: to reduce dependencies from htslib, configure htslib with: ./configure --disable-bz2 --disable-lzma --disable-plugins --disable-libcurl --disable-gcs --disable-s3
 
-### these paths are used only for static linking
-ZLIB_STATIC_DIR = /opt/zlib-1.2.8/lib # probably unnecessary on most systems
+### only for static linking (unnecessary in a local install; probably unnecessary on most systems)
+ZLIB_STATIC_DIR = /n/groups/price/poru/external_software/zlib/zlib-1.2.11
+LIBSTDCXX_STATIC_DIR = /n/groups/price/poru/external_software/libstdc++/usr/lib/gcc/x86_64-redhat-linux/4.8.5/
+
+### only for linking=static, which is discouraged
 GLIBC_STATIC_DIR = /home/pl88/glibc-static/usr/lib64
 
 
@@ -71,23 +81,22 @@
 # add flags for static linking; build LAPACK/MKL component of link line
 ifeq (${linking},static)
 	LFLAGS += -static
-	LPATHS += -L${GLIBC_STATIC_DIR} -L${ZLIB_STATIC_DIR}
+	LPATHS += -L${GLIBC_STATIC_DIR}
 else ifeq (${linking},static-except-glibc)
 	LFLAGS += -static-libgcc -static-libstdc++
-	LPATHS += -L${ZLIB_STATIC_DIR}
 endif
 
 # build link line (minus flags)
 LLIBS = -lhts -lboost_program_options -lboost_iostreams -lz ${LBLAS}
 ifeq (${linking},static-except-glibc)
-	L = ${LPATHS} -Wl,-Bstatic ${LLIBS} -Wl,-Bdynamic -lpthread -lm
+	L = -L${LIBSTDCXX_STATIC_DIR} ${LPATHS} -Wl,--wrap=memcpy -Wl,-Bstatic ${LLIBS} -Wl,-Bdynamic -lpthread -lm
 else
 	L = ${LPATHS} ${LLIBS} -lpthread -lm
 endif
 
 
 T = eagle
-O = DipTreePBWT.o Eagle.o EagleImpMiss.o EagleParams.o EaglePBWT.o FileUtils.o GenoData.o HapHedge.o MapInterpolater.o MemoryUtils.o NumericUtils.o StaticMultimap.o StringUtils.o SyncedVcfData.o Timer.o
+O = DipTreePBWT.o Eagle.o EagleImpMiss.o EagleParams.o EaglePBWT.o FileUtils.o GenoData.o HapHedge.o MapInterpolater.o MemoryUtils.o NumericUtils.o StaticMultimap.o StringUtils.o SyncedVcfData.o Timer.o memcpy.o
 OMAIN = EagleMain.o $O
 
 .PHONY: clean
