=== debian/changelog ===
bio-eagle (2.4.1-3build4) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:10:23 +0200

bio-eagle (2.4.1-3build3) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 16:59:58 +0200

bio-eagle (2.4.1-3build2) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:46:30 +0100

bio-eagle (2.4.1-3build1) hirsute; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Dec 2020 13:03:30 +0100

bio-eagle (2.4.1-3) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Standards-Version: 4.5.1 (routine-update)
  * Do nothing in dh_auto_configure and dh_auto_build for indep binaries
    Closes: #976572

  [ Michael R. Crusoe ]
  * Add patch for compilation on systems without SSE.
    Use of "rdtsc" assembly still makes it x86 specific.

 -- Andreas Tille <tille@debian.org>  Sat, 05 Dec 2020 22:31:32 +0100

bio-eagle (2.4.1-2) unstable; urgency=medium

  * Team upload.
  * Test only on available architectures
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

 -- Andreas Tille <tille@debian.org>  Fri, 06 Nov 2020 15:48:02 +0100

bio-eagle (2.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Update my email address.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 28 Nov 2018 07:56:36 +0100

bio-eagle (2.4-2) unstable; urgency=medium

  * Team upload

  [ Steffen Moeller ]
  * d/u/metadata:
    - added RRIDs
    - yamllint clean

  [ Andreas Tille ]
  * Point Vcs fields to salsa.debian.org (moved from dir eagle to bio-eagle)
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Thu, 13 Sep 2018 08:50:04 +0200
