=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: bio-eagle
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Dylan Aïssi <bob.dybian@gmail.com>
+Uploaders: Dylan Aïssi <daissi@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                libopenblas-dev,
                libboost-dev,
                libboost-iostreams-dev,
                libboost-program-options-dev,
                libhts-dev (>= 1.4),
                zlib1g-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/eagle.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/eagle.git
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/med-team/bio-eagle
+Vcs-Git: https://salsa.debian.org/med-team/bio-eagle.git
 Homepage: https://data.broadinstitute.org/alkesgroup/Eagle/
+Rules-Requires-Root: no
 
 Package: bio-eagle
 Architecture: any-amd64 any-i386
