=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/Eagle-$1\.tar\.gz/ \
  https://github.com/poruloh/Eagle/tags .*/v?(\d\S+)\.tar\.gz
